﻿using System.Collections.Generic;
using System.IO;
using System.Reflection;

namespace SyncfusionTest.Logic
{
    public class ExampleLogic
    {
        public Stream Test()
        {
            using (var stream = ReadTemplateFile("ArtikelKlacht.docx"))
            {
                var filledWordStream =
                    new WordHandler().MultiPageReplaceText(stream, new IDictionary<string, string>[0]);
                var pdfStream = new PdfHandler().DocxToPdf(filledWordStream);

                return pdfStream;
            }
        }

        private Stream ReadTemplateFile(string fileName)
        {
            var assembly = Assembly.GetExecutingAssembly();
            var resourceName = $"SyncfusionTest.WPF.Templates.{fileName}";

            return assembly.GetManifestResourceStream(resourceName);
        }
    }
}